org.apache.lucene.codecs.blockterms

## Class TermsIndexReaderBase

- java.lang.Object
- - org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

All Implemented Interfaces:
  Closeable, AutoCloseable, Accountable

Direct Known Subclasses:
  FixedGapTermsIndexReader, VariableGapTermsIndexReader

    public abstract class TermsIndexReaderBase
    extends Object
    implements Closeable, Accountable

`BlockTermsReader` interacts with an instance of this class to manage its terms index. The writer must accept indexed terms (many pairs of BytesRef text + long fileOffset), and then this reader must be able to retrieve the nearest index term to a provided term text.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static class` `TermsIndexReaderBase.FieldIndexEnum` Similar to TermsEnum, except, the only "metadata" it reports for a given indexed term is the long fileOffset into the main terms dictionary file.

### Constructor Summary

Constructors
Constructor and Description
`TermsIndexReaderBase()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `close()`
`abstract TermsIndexReaderBase.FieldIndexEnum` `getFieldEnum(FieldInfo fieldInfo)`
`abstract boolean` `supportsOrd()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.util.Accountable

`getChildResources, ramBytesUsed`

### Constructor Detail

#### TermsIndexReaderBase

    public TermsIndexReaderBase()

### Method Detail

#### getFieldEnum

    public abstract TermsIndexReaderBase.FieldIndexEnum getFieldEnum(FieldInfo fieldInfo)

#### close

    public abstract void close()
                        throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

#### supportsOrd

    public abstract boolean supportsOrd()